﻿package game{
	import flash.display.Bitmap;
	class EnemyC extends Unit {
		const MAX_Y:int = 330;
		var speed:int;
		private var _target:Unit;
		function EnemyC(newTarget:Unit, newX:int, newY:int, newSpeed:int=2):void {
			var disp:Bitmap = new Bitmap(new EnemyCBodyData(0,0));
			super(disp, newX, newY);
			speed = newSpeed;
			_target=newTarget;
		}
		override function action():void {
			y += speed*3;
			x += (x<_target.x) ? speed : speed*-1;
			if (y>MAX_Y) {
				remove();
			}
		}
		override function remove():void {
			var mainGame:MainGame = body.parent as MainGame;
			mainGame.removeEnemy(this);
		}
	}
}