﻿package game{
	import flash.display.Shape;
	class Bullet extends Unit {
		const MIN_Y:int = 30;
		var speed:int;
		function Bullet(myShip:MyShip, newSpeed:int = 20) {
			super(getBulletBody(), myShip.x, myShip.y - 30);
			speed = newSpeed;
		}
		override function action():void {
			y -= speed;
			if (y<MIN_Y) {
				remove();
			}
		}
		override function remove():void {
			var mainGame:MainGame = body.parent as MainGame;
			mainGame.removeBullet(this);
		}
		private function getBulletBody():Shape {
			var shape:Shape = new Shape();
			shape.graphics.beginFill(0xFF0000);
			shape.graphics.drawCircle(0,0,3);
			return shape;
		}
	}
}