﻿package game{
	import flash.events.EventDispatcher;
	import flash.events.Event;
	import flash.net.URLLoader;
	import flash.net.URLRequest;

	class StageData extends EventDispatcher {
		private var _commandList:Array;
		private var _loader:URLLoader;

		function StageData() {
			_loader = new URLLoader();
			_loader.addEventListener(Event.COMPLETE, onLoadHandler);
		}
		function load(url:String) {
			_loader.load(new URLRequest(url));
		}
		private function onLoadHandler(event:Event) {
			_commandList = event.target.data.split("\r\n");
			_commandList = _commandList.join("").split("\r");
			_commandList = _commandList.join("").split(";");
			dispatchEvent(new Event("parse_complete"));
		}
		function getNext():Array {
			return _commandList.shift().split("\t");
		}
	}
}

/*
//外部読み込みを行わない場合には、直接asファイルの中でコマンドを追加していきます
package game{
	class StageData {
		private var _commandList:Array;
		function StageData() {
			_commandList = new Array();
			with(_commandList){
				push(["wait", 50]);
				push(["EnemyA", 100, 20]);
				push(["EnemyA", 230, 20]);

				push(["wait", 50]);
				push(["EnemyB", 30, 100]);
				push(["EnemyB", 270, 200]);

				push(["wait", 200]);
				push(["end"]);
			}
		}
		function getNext():Array {
			return _commandList.shift();
		}
	}
}*/
