﻿package game{
	import flash.display.MovieClip;
	class EnemyB extends Unit {
		const MIN_X:int = 30;
		const MAX_X:int = 280;
		var speed:int;
		private var _direction:int;
		private var _baseY:int;
		private var _r:int;
		private var _rad:Number;
		function EnemyB(newX:int, newY:int, newSpeed:int=5):void {
			var disp:MovieClip = new EnemyBBody();
			super(disp, newX, newY);
			speed = newSpeed;
			_baseY = y;
			_direction = (x<150) ? 1 : -1;
			_r = 15;
			_rad = 0;
		}
		override function action():void {
			x += speed * _direction;
			y = _baseY + Math.sin(_rad+=0.2)*_r;
			if (x<MIN_X || x>MAX_X) {
				remove();
			}
		}
		override function remove():void {
			var mainGame:MainGame = body.parent as MainGame;
			mainGame.removeEnemy(this);
		}
	}
}